<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: alexaClientSDK::esp::ESPDataModifierInterface Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1esp.html">esp</a></li><li class="navelem"><a class="el" href="classalexa_client_s_d_k_1_1esp_1_1_e_s_p_data_modifier_interface.html">ESPDataModifierInterface</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="classalexa_client_s_d_k_1_1esp_1_1_e_s_p_data_modifier_interface-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">alexaClientSDK::esp::ESPDataModifierInterface Class Reference<span class="mlabels"><span class="mlabel">abstract</span></span></div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="_e_s_p_data_modifier_interface_8h_source.html">ESPDataModifierInterface.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for alexaClientSDK::esp::ESPDataModifierInterface:</div>
<div class="dyncontent">
<div class="center"><img src="classalexa_client_s_d_k_1_1esp_1_1_e_s_p_data_modifier_interface__inherit__graph.png" border="0" usemap="#alexa_client_s_d_k_1_1esp_1_1_e_s_p_data_modifier_interface_inherit__map" alt="Inheritance graph"/></div>
<map name="alexa_client_s_d_k_1_1esp_1_1_e_s_p_data_modifier_interface_inherit__map" id="alexa_client_s_d_k_1_1esp_1_1_e_s_p_data_modifier_interface_inherit__map">
<area shape="rect" id="node2" href="classalexa_client_s_d_k_1_1esp_1_1_dummy_e_s_p_data_provider.html" title="alexaClientSDK::esp\l::DummyESPDataProvider" alt="" coords="7,92,186,131"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a3890d6567044ebae11bcb24376c718bc"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1esp_1_1_e_s_p_data_modifier_interface.html#a3890d6567044ebae11bcb24376c718bc">~ESPDataModifierInterface</a> ()=default</td></tr>
<tr class="separator:a3890d6567044ebae11bcb24376c718bc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa13d150b218f1dd0f71cfbe0c5440203"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1esp_1_1_e_s_p_data_modifier_interface.html#aa13d150b218f1dd0f71cfbe0c5440203">setVoiceEnergy</a> (const std::string &amp;voiceEnergy)=0</td></tr>
<tr class="separator:aa13d150b218f1dd0f71cfbe0c5440203"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acdf926d682f330bb792923471df3d233"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1esp_1_1_e_s_p_data_modifier_interface.html#acdf926d682f330bb792923471df3d233">setAmbientEnergy</a> (const std::string &amp;ambientEnergy)=0</td></tr>
<tr class="separator:acdf926d682f330bb792923471df3d233"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p class="">The <a class="el" href="classalexa_client_s_d_k_1_1esp_1_1_e_s_p_data_modifier_interface.html">ESPDataModifierInterface</a> is a debugging interface to allow modifying the ESPData in the <a class="el" href="classalexa_client_s_d_k_1_1esp_1_1_dummy_e_s_p_data_provider.html">DummyESPDataProvider</a>. </p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a3890d6567044ebae11bcb24376c718bc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3890d6567044ebae11bcb24376c718bc">&#9670;&nbsp;</a></span>~ESPDataModifierInterface()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual alexaClientSDK::esp::ESPDataModifierInterface::~ESPDataModifierInterface </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span><span class="mlabel">default</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Destructor </p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="acdf926d682f330bb792923471df3d233"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acdf926d682f330bb792923471df3d233">&#9670;&nbsp;</a></span>setAmbientEnergy()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual void alexaClientSDK::esp::ESPDataModifierInterface::setAmbientEnergy </td>
          <td>(</td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>ambientEnergy</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">pure virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Set new ambient energy.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">ambientEnergy</td><td>New ambient energy value. </td></tr>
  </table>
  </dd>
</dl>

<p>Implemented in <a class="el" href="classalexa_client_s_d_k_1_1esp_1_1_dummy_e_s_p_data_provider.html#a3ff7a234903a308fd0e1a47cbebeef99">alexaClientSDK::esp::DummyESPDataProvider</a>.</p>

</div>
</div>
<a id="aa13d150b218f1dd0f71cfbe0c5440203"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa13d150b218f1dd0f71cfbe0c5440203">&#9670;&nbsp;</a></span>setVoiceEnergy()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual void alexaClientSDK::esp::ESPDataModifierInterface::setVoiceEnergy </td>
          <td>(</td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>voiceEnergy</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">pure virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Set new voice energy.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">voiceEnergy</td><td>New voice energy value. </td></tr>
  </table>
  </dd>
</dl>

<p>Implemented in <a class="el" href="classalexa_client_s_d_k_1_1esp_1_1_dummy_e_s_p_data_provider.html#a8f3ddd13d0091b4e4db08495a47f5185">alexaClientSDK::esp::DummyESPDataProvider</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>/workplace/avs-device-sdk/ESP/include/ESP/<a class="el" href="_e_s_p_data_modifier_interface_8h_source.html">ESPDataModifierInterface.h</a></li>
</ul>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
